For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet returns
          • GETGet returns for an order
          • GETGet return
          • PUTCreate a return
          • GETGet the refunded amounts for the return
          • POSTMark the return as complete
          • POSTReport errors encountered when processing the return refund
LogoLogo
RESTFeedAMP Order SourceReturns

Create a return

PUT
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/returns/:mp_return_number
PUT
/api/v1/orders/:mp_order_number/returns/:mp_return_number
$curl -X PUT https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "return_lines": [
> {
> "mp_return_line_number": "RETURN-600A-01",
> "mp_order_line_number": "ORD-600A-LN-01",
> "sku": "SKU-987654",
> "quantity": 1,
> "currency": "USD",
> "requested_refund_principal": 59.99,
> "reason": "Wrong color sent",
> "preauthorized": true,
> "product_name": "Wireless Bluetooth Headphones",
> "unit_price": 59.99,
> "tax": 5,
> "requested_refund_tax": 5,
> "carrier": "UPS",
> "tracking_number": "1Z999AA10123456784"
> }
> ],
> "request_date": "2024-05-10",
> "respond_date": "2024-05-17",
> "shipping_address": {
> "full_name": "Jane A. Smith",
> "address1": "456 Elm Street",
> "city": "Springfield",
> "state": "IL",
> "postal_code": "62704",
> "country_code": "USA",
> "address_type": "residential",
> "address2": "Apt 12B",
> "address3": "",
> "phone": "2175551234"
> },
> "customer_email": "jane.smith@example.com",
> "return_type": "SHIP"
>}'
1{}

Get all seller-initiated refunds for an order

Was this page helpful?
Previous

Get return

Next

Get the refunded amounts for the return

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace
mp_return_numberstringRequired
The unique Id for the return that is generated by the marketplace

Request

This endpoint expects an object.
mp_order_numberstringRequired1-128 characters
the mp order number associated with the return
return_lineslist of objectsRequired
request_datedateOptional

Date the return was requested. ISO 8601 DATE YYYY-MM-DD

respond_datedateOptional
The date which the merchant must release the funds by
shipping_addressobjectOptional
customer_emailstringOptional
The customer's email address
return_typeenumOptional
How the items will be returned by the customer.
  • SHIP - the item will be shipped back by the customer
  • NO_RETURN - The customer will kep the item
  • IN_STORE - the item will be returned to the store by the customer (is only valid for V2)
Allowed values:

Response

Return created

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error